1 (06.11.2014 17:52:19 отредактировано Wehrmacht_Rover)

Тема: OpenSceneGraph зависимости

OSG требует звисисимость QtOpenGL, которой нет в ебилде. На 99 % сборка остановилась с ругнёй об отсутствии QtOpenGL. А собирается эта тварь (OSG) очень долго  ac Кто-то с этим сталкивался?

2 (06.11.2014 18:52:18 отредактировано Fat-Zer)

Re: OpenSceneGraph зависимости

Если проблемы со сборкой [читать неофитам перед созданием темы]

Wehrmacht_Rover пишет

OSG требует звисисимость QtOpenGL, которой нет в ебилде.

dev-qt/qtopengl же

Wehrmacht_Rover пишет

А собирается эта тварь (OSG) очень долго 

не особо... это не firefox и даже не опеноффис...

Wehrmacht_Rover пишет

  Кто-то с этим сталкивался?

УМВР

Re: OpenSceneGraph зависимости

Fat-Zer пишет

dev-qt/qtopengl же

Я имею ввиду, portage эту зависимость не видел, пришлось ставить руками. Они же прописываются в ебилдах?

Fat-Zer пишет

не особо... это не firefox и даже не опеноффис...

Часа 3 собирался  au Ну теперь страшно Firefox собирать  ai

Fat-Zer пишет

УМВР

Значит на мой комп действуют какие-то магические силы bk

4

Re: OpenSceneGraph зависимости

Wehrmacht_Rover пишет

Они же прописываются в ебилдах?

да, но их иногда забывают, а иногда неправильно пишут...

там собака где-то между examples и qt4 зарыта: https://bugs.gentoo.org/show_bug.cgi?id=486918
чтобы выяснить, кто прав, а кто виноват надо в cmake покопаться...